Gantry::Conf::Provider::HTTP(3)

NAME
Gantry::Conf::Provider::HTTP - Base class for all Gantry::Conf::Provider::HTTP modules

SYNOPSIS
    use base 'Gantry::Conf::Provider::HTTP';

    my $response = $self->fetch( $url );

DESCRIPTION
This module handle the transport over http for all modules that want to pull content from a web server. I know it's easy to do, but I want it in one place.

METHODS

fetch
    Give it a url, it'll give you the content from it (including error responses).

SEE ALSO
Gantry(3), Gantry::Conf(3), Gantry::Conf::Tutorial(3), Ganty::Conf::FAQ(3)

LIMITATIONS

AUTHOR
Phil Crow <pcrow@sunflowerbroadband.com>

COPYRIGHT and LICENSE
Copyright (c) 2006, Phil Crow.

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.8.6 or, at your option, any later version of Perl 5 you may have available.